Aller au contenu


Upgrade 8.5 vers 8.8 probleme package zimbra-jetty-distribution


  • Veuillez vous connecter pour répondre
11 réponses à ce sujet

#1 WolwX

WolwX

    Membre avancé

  • Membres
  • 35 messages

Posté 16 novembre 2018 - 10:53

Bonjour à tous,

J'aimerai upgrader mon zimbra zcs 8.5.1 vers la 8.8.9 cependant je rencontre un problème avec le packet zimbra-jetty-distribution lors de l'utilisation de l'installateur.

Ce problème est indiqué dans mon log d'install :
Paramérage de zimbra-mbox-store-libs (2.0.0.1533844565-1.u16) ...
dpkg: des problèmes de dépendances empêchent la configuration de zimbra-store :
zimbra-store dépend de zimbra-jetty-distribution (>= 9.3.5.v20151012-2.u16) ; cependant :
La version de zimbra-jetty-distribution sur le système est 9.3.5.v20151012-2.u14.

A savoir qu'il s'agit d'un Ubuntu 14.04.

Effectivement mon second serveur pour lequel il est prévu la migration après l'upgrade, et qui contient déjà une version zcs 8.8.9 fonctionnelle (en Ubuntu 16.04), contient une version zimbra-jetty-distribution différente, la 9.3.5.v20151012-2.u16 alors que visiblement l'installateur m'install une version 9.3.5.v20151012-2.u14

Puis je retrouver cette version zimbra-jetty-distribution 9.3.5.v20151012-2.u16 et l'installer manuellement ou trouver une solution pour passer cette erreur ?

Visiblement zimbra-jetty-distribution est un paquet présent en repository donc je ne l'ai pas en local pour le copier coller d'un serveur à l'autre, peut on avoir accès au repository et à ce paquet ?
Zimbra Release 7.1.3_GA_3346.DEBIAN5_64 DEBIAN6_64 FOSS edition.
Zimbra Release 8.5.1 UBUNTU_64

#2 wolfy

wolfy

    Zimbra Jedi

  • Modérateurs
  • 547 messages
  • LocalisationRouen, France

Posté 16 novembre 2018 - 11:25

A mon sens, il serait dangereux d'installer un paquet prévu pour Ubuntu 16 sur une version 14.
Ici il y a clairement un problème de création de package coté Zimbra ou bien cela viens de la détection de la plateforme du script d'installation.
Pour ma part, je ferais un ticket au support.
___
Senior Solution Advisor EMEA chez Vade Secure

#3 WolwX

WolwX

    Membre avancé

  • Membres
  • 35 messages

Posté 16 novembre 2018 - 11:31

Voir le messagewolfy, le 16 novembre 2018 - 11:25, dit :

A mon sens, il serait dangereux d'installer un paquet prévu pour Ubuntu 16 sur une version 14.
Ici il y a clairement un problème de création de package coté Zimbra ou bien cela viens de la détection de la plateforme du script d'installation.
Pour ma part, je ferais un ticket au support.

Je peux comprendre mais dans mon cas c'est un peu particulier, en fait le but de cette migration est de pouvoir ensuite récupérer toutes mes données (comptes, messages, etc) vers mon nouveau serveur qui est déjà fonctionnel en Ubuntu 16 avec version de Zimbra 8.8.9

Je suis obligé de m'y prendre de cette manière car l'installation de zcs version 8.5.1 sur une os propre en Ubuntu 16, bug (segmentation fault) lors du lancement de zmcontrol et que mon nouvel hébergeur ne permet pas l'installation d'un Ubuntu 14 ...

J'ai donc pensé qu'après mise à jour de mon serveur 8.5.1 vers la 8.8.9 mes données seraient compatibles (mise à jour sql entre autre) au travers d'un simple copier coller vers mon nouveau serveur.

Tu n'à pas idée d'un endroit où je pourrais trouver le package zimbra-jetty-distribution en version 9.3.5.v20151012-2.u16 ?
Ou bien d'une manière de modifier l'installateur pour qu'il me le récupère correctement dans le repository comme il le ferait sur un Ubuntu 16 ?

Zimbra Release 7.1.3_GA_3346.DEBIAN5_64 DEBIAN6_64 FOSS edition.
Zimbra Release 8.5.1 UBUNTU_64

#4 wolfy

wolfy

    Zimbra Jedi

  • Modérateurs
  • 547 messages
  • LocalisationRouen, France

Posté 16 novembre 2018 - 12:09

Ca fait longtemps que j'ai pas fait de migration Zimbra, mais tu peux regarder ceci pour changer d'OS : https://wiki.zimbra....rsync_Migration
___
Senior Solution Advisor EMEA chez Vade Secure

#5 WolwX

WolwX

    Membre avancé

  • Membres
  • 35 messages

Posté 16 novembre 2018 - 12:19

Voir le messagewolfy, le 16 novembre 2018 - 12:09, dit :

Ca fait longtemps que j'ai pas fait de migration Zimbra, mais tu peux regarder ceci pour changer d'OS : https://wiki.zimbra....rsync_Migration

J'ai déjà consulté ce document et essayé précédemment, cependant je ne peux pas relancer une version exact de zimbra car je n'ai pas l'OS adéquate et donc une erreur lorsque je tente :/

Citation

  • 2. Install ZCS Version - this MUST be the exact same ZCS Version as on the Old Server. The bit level (32-bit vs. 64-bit) or the Operating System build (RHEL 5, RHEL 6, Ubuntu 12, etc.) may be different, but the ZCS version must be exactly the same.

Je suis en train de tenter par une migration en suivant ce document :
https://wiki.zimbra....imbra_Migration

Cependant j'ai un autre problème en utilisant la bonne configuration LDAP =>
Critique
Erreur de serveur !
Mail : system failure: unable to search gal Code d’erreur : service.FAILURE Method: [unknown] Détails :soap:Receiver

Je continue à chercher d'autres méthodes, mais si quelqu'un à une suggestion ou la possibilité d'installer le package zimbra-jetty-distribution en version 9.3.5.v20151012-2.u16 je suis preneur ^^'
Zimbra Release 7.1.3_GA_3346.DEBIAN5_64 DEBIAN6_64 FOSS edition.
Zimbra Release 8.5.1 UBUNTU_64

#6 Zimbra Guy

Zimbra Guy

    Zimbra Jedi

  • Modérateurs
  • 5 421 messages
  • LocalisationPlanète Terre

Posté 16 novembre 2018 - 14:58

Bonjour,

Well, moi ce que je tenterais :
- MAJ 8.5.x vers 8.6.x Ubuntu 14.04
- MAJ 8.6.x vers 8.8.10 Ubuntu 14.04
- Migration vers nouvelle VM en 16.04 (dump + rsync ect.)

  Cordialement,
Guy Carré, professionel certifié Zimbra, Contributeur Zimbra
tel : +33 (0)6 63 18 08 XX / mail : guy.carre+zimbrafr@libremail.fr

#7 Klug

Klug

    Zimbra Jedi

  • Membres
  • PipPipPipPip
  • 10 314 messages
  • LocalisationBeaucaire - Gard

Posté 17 novembre 2018 - 13:56

Que c'est compliqué... KISS les gens !

ZxMig épissaitoo.

On part d'une vieille version de ZCS sur un vieil OS (sans chercher à upgrader un truc qui tourne) et on récupère "tout" sur une nouvelle version de ZCS sur un nouvel OS.
Tout = les domaines/comptes/aliases/DL, le contenu des boites, les paramètres de boites (signatures, filtres, partages), les CoS etc.

#8 WolwX

WolwX

    Membre avancé

  • Membres
  • 35 messages

Posté 18 novembre 2018 - 13:08

Bien donc je viens avec des bonnes nouvelles mais au final que le chemin fut compliqué !

Klug résume bien ma situation :

Voir le messageKlug, le 17 novembre 2018 - 13:56, dit :

On part d'une vieille version de ZCS sur un vieil OS (sans chercher à upgrader un truc qui tourne) et on récupère "tout" sur une nouvelle version de ZCS sur un nouvel OS.
Tout = les domaines/comptes/aliases/DL, le contenu des boites, les paramètres de boites (signatures, filtres, partages), les CoS etc.

La solution de ZxMig semble pas mal, pour un coût raisonnable https://wiki.zextras.com/wiki/ZxMig, même si il s'agit d'export plus que de migration, néanmoins j'ai réussi à avancer avant de voir ton message.

J'ai dût investir auprès d'un autre hébergeur pour prendre un serveur dédié sur lequel je pouvais installer Ubuntu en version 14.04.
De là j'ai pût réinstaller un zimbra 8.5.1 clean avant de procéder à une migration en suivant ce document tel que Wolfy en parlé :
https://wiki.zimbra....rsync_Migration

Maintenant que j'ai récupéré une version fonctionnelle de mon serveur en Ubuntu 14.04 avec ZCS 8.5.1 et que tout est récupéré, je procède à backups clean avant de tenter la suite par une migration de ZCS sous 8.8.10.
Si j'arrive à faire fonctionner correctement mon serveur ZCS en 8.8.10 j'upgraderai mon Ubuntu ^^'

Dans tous les cas je répond à ma question initiale :
Il est impossible d'upgrader directement d'une version 8.5.1 vers 8.8.9 si les OS ne sont pas exactement les mêmes.
De plus je n'ai pas trouvé de possibilité de récupérer zimbra-jetty-distribution dans la bonne version pour essayer d'outrepasser le point qui me bloqué.
Il faut donc procéder par étape tel que le suggère Zimbra Guy.
Zimbra Release 7.1.3_GA_3346.DEBIAN5_64 DEBIAN6_64 FOSS edition.
Zimbra Release 8.5.1 UBUNTU_64

#9 WolwX

WolwX

    Membre avancé

  • Membres
  • 35 messages

Posté 18 novembre 2018 - 14:51

Voilà la suite des news :)

L'upgrade par étape tel que le suggère Zimbra Guy est très important car il évite des problèmes avec par exemple les nouveaux modules proxy et memcache non présent sur la 8.5.1.

En effet si on tente une migration direct 8.5.1 vers 8.8.9 ou 8.8.10, on ce retrouve avec un blocage indiquant :

ZCS upgrade from 8.5.1 to 8.8.9 will be performed.
Checking for existing proxy service in your environment
Error: proxy not enabled
Error: No proxy detected in your environment. Proxy is required for ZCS 8.7+.
See https://wiki.zimbra.com/wiki/Enabling_Zimbra_Proxy for details on installing proxy.
Checking for existing memcached service in your environment
Proxy and Memcached services must exist. Exiting...

On va donc suivre le conseil avisé de Zimbra Guy ;)

Voir le messageZimbra Guy, le 16 novembre 2018 - 14:58, dit :

Bonjour,

Well, moi ce que je tenterais :
- MAJ 8.5.x vers 8.6.x Ubuntu 14.04
- MAJ 8.6.x vers 8.8.10 Ubuntu 14.04
- Migration vers nouvelle VM en 16.04 (dump + rsync ect.)

  Cordialement,

J'ai donc fait une première upgrade en vers 8.6.0.
A noter que j'ai dût corriger un petit problème de ldap qui résulté probablement de la migration, cf cette page si vous avez une erreur du genre "Error: Unable to bind to the LDAP server as the root LDAP user" => https://wiki.zimbra....P_configuration
Après correction de ce petit soucis la migration c'est passer parfaitement, et donc j'ai bien eu un serveur en 8.6.0 pleinement fonctionnel.

J'ai donc enchaîné avec une seconde upgrade de version 8.6.0 vers 8.8.10 ((8.8.10_GA_3039_UBUNTU14_64)) qui c'est bien déroulée elle aussi.

Bon maintenant il reste à faire la migration de l'OS pour un Ubuntu plus récent, mais là, vue qu'il s'agit d'un serveur dédié, je vais prendre beaucoup de précautions avant de me lancer ^^'

2 alternatives, soit tenter une commande "do-release-upgrade" pure et simple avec le risque qu'il y ai un bug et que le dédié ne redémarre pas correctement, soit plutôt migrer mon serveur sur un serveur "tampon" puis relancer l'installation de mon dédié sous la bonne OS et retransférer depuis mon serveur "tampon" vers mon serveur final.

Dans tous les cas je vous tiendrais au courant.
Zimbra Release 7.1.3_GA_3346.DEBIAN5_64 DEBIAN6_64 FOSS edition.
Zimbra Release 8.5.1 UBUNTU_64

#10 Klug

Klug

    Zimbra Jedi

  • Membres
  • PipPipPipPip
  • 10 314 messages
  • LocalisationBeaucaire - Gard

Posté 18 novembre 2018 - 15:10

Voir le messageWolwX, le 18 novembre 2018 - 13:08, dit :

La solution de ZxMig semble pas mal, pour un coût raisonnable https://wiki.zextras.com/wiki/ZxMig,
C'est gratuit.
Le seul coût à éventuellement prendre en compte, c'est le stockage (temporaire) des données (export/import).

Voir le messageWolwX, le 18 novembre 2018 - 13:08, dit :

il s'agit plus d'export plus que de migration
Je ne vois pas la différence, on exporte, on importe, on se retrouve avec tout ce qu'on avait.
Faut pas confondre avec "mise à jour".

Autre avantage (de mon point de vue) par rapport à faire une "mise à jour" : on repart d'un serveur propre.
Il y a plein de paramètres (ne serait-ce que la gestion des mails pour des destinataires qui n'existent pas) qui n'existaient pas dans une vieille version de ZCS (8.5.x évoqué) et qui existent dans une version récente/actuelle.
Ou dont la gestion a complètement changé.

Le paramétrage des serveurs ou la "global config" ne sont pas récupéré par ZxMig, ce qu'on peut considérer comme un défaut.
J'y vois plutôt un avantage, ça oblige à remettre le nez dans la conf pour comprendre/intégrer toutes les différences entre les versions (et dans le cas évoqué, elles sont nombreuses).

#11 WolwX

WolwX

    Membre avancé

  • Membres
  • 35 messages

Posté 19 novembre 2018 - 11:58

Voir le messageKlug, le 18 novembre 2018 - 15:10, dit :

C'est gratuit.
Le seul coût à éventuellement prendre en compte, c'est le stockage (temporaire) des données (export/import).


Je ne vois pas la différence, on exporte, on importe, on se retrouve avec tout ce qu'on avait.
Faut pas confondre avec "mise à jour".

Autre avantage (de mon point de vue) par rapport à faire une "mise à jour" : on repart d'un serveur propre.
Il y a plein de paramètres (ne serait-ce que la gestion des mails pour des destinataires qui n'existent pas) qui n'existaient pas dans une vieille version de ZCS (8.5.x évoqué) et qui existent dans une version récente/actuelle.
Ou dont la gestion a complètement changé.

Le paramétrage des serveurs ou la "global config" ne sont pas récupéré par ZxMig, ce qu'on peut considérer comme un défaut.
J'y vois plutôt un avantage, ça oblige à remettre le nez dans la conf pour comprendre/intégrer toutes les différences entre les versions (et dans le cas évoqué, elles sont nombreuses).

J'avais essayée la suite zextras il y à quelques années en version "trial", et donc actuellement si je réinstalle visiblement on me demande d'activer une license, et pour 30 comptes emails la facture est de 234$ ...

Ou alors je n'ai pas compris comment utilisé zxmig gratuitement et j'aimerai bien quelques infos supplémentaire

Pour l'export je veux dire par là qu'on à pas exactement le même serveur au même état, et donc effectivement il y à certains points à reconfigurer comme la global config
On est d'accord c'est probablement aussi bien de devoir remettre le nez dans la config parfois, cependant je crois savoir aussi que les mots de passe des comptes emails sont réinitialisés eux aussi par exemple, à moins que je me trompe.
Zimbra Release 7.1.3_GA_3346.DEBIAN5_64 DEBIAN6_64 FOSS edition.
Zimbra Release 8.5.1 UBUNTU_64

#12 Klug

Klug

    Zimbra Jedi

  • Membres
  • PipPipPipPip
  • 10 314 messages
  • LocalisationBeaucaire - Gard

Posté 19 novembre 2018 - 12:19

ZxMig, la partie d'export, est gratuit "à vie".

La suite Zextras, la partie import, est gratuite pendant un mois (le trial) puis payante si on continue à s'en servir.
Dans le cas où elle a été installée "pour voir" et qu'on la réinstalle, elle peut réclamer une activation (payante), je n'avais pas pensé à ce cas.
Ça m'est déjà arrivé en fait, à chaque fois demandé une nouvelle licence "trial" à l'éditeur qui me l'a donnée (re 30 jours) ; ils ne veulent pas que le principe de la licence "bloque" les migrations.




0 utilisateur(s) li(sen)t ce sujet

0 membre(s), 0 invité(s), 0 utilisateur(s) anonyme(s)